dynamic_link.cpp File Reference
`#include "dynamic_link.h"`
`#include "tbb/tbb_config.h"`
`#include <cstdarg>`
`#include <dlfcn.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <limits.h>`
`#include <stdlib.h>`
`#include "tbb_misc.h"`
Include dependency graph for dynamic_link.cpp:

Go to the source code of this file.

## Macros

#define | __USE_TBB_ATOMICS ( !(__linux__&&__ia64__) || __TBB_BUILD )
#define | __USE_STATIC_DL_INIT ( !__ANDROID__ )

## Functions

OPEN_INTERNAL_NAMESPACE bool | dynamic_link (const char *, const dynamic_link_descriptor *, size_t, dynamic_link_handle *handle, int)
void | dynamic_unlink (dynamic_link_handle)
void | dynamic_unlink_all ()

## Macro Definition Documentation

## __USE_STATIC_DL_INIT

#define __USE_STATIC_DL_INIT ( !__ANDROID__ )

Definition at line 56 of file dynamic_link.cpp.

## __USE_TBB_ATOMICS

#define __USE_TBB_ATOMICS ( !(__linux__&&__ia64__) || __TBB_BUILD )

Definition at line 55 of file dynamic_link.cpp.

## Function Documentation

## dynamic_link()

OPEN_INTERNAL_NAMESPACE bool dynamic_link | ( | const char * | ,
|  | const dynamic_link_descriptor * | ,
|  | size_t | ,
|  | dynamic_link_handle * | handle,
|  | int |
| ) |  |

Definition at line 564 of file dynamic_link.cpp.

{
if ( handle )
*handle=0;
return false;
}

Referenced by tbb::internal::initialize_handler_pointers().

Here is the caller graph for this function:

## dynamic_unlink()

void dynamic_unlink | ( | dynamic_link_handle |  | ) |

Definition at line 569 of file dynamic_link.cpp.

{}

## dynamic_unlink_all()

void dynamic_unlink_all | ( |  | ) |

Definition at line 570 of file dynamic_link.cpp.

{}

Referenced by tbb::internal::governor::release_resources().

Here is the caller graph for this function:

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.